# android_notification_icons

Package for creating android notification icons for Flutter apps.

inspired by [flutter_launcher_icons](https://pub.dev/packages/flutter_launcher_icons)

## Platform Support

- [x] Android

## Getting Started

### Installation & Setup

```yaml
# pubspec.yaml
dev_dependencies:
  android_notification_icons:

android_notification_icons:
  image_path: 'path/to/ic_notification.png'
  icon_name: 'ic_notification' # optional
```

#### Options

| Option      | Description           | Default           |
|-------------|-----------------------|-------------------|
| `icon_name` | Generated image name. | `ic_notification` |

### Run

```shell
dart run android_notification_icons
```

#### Execution results
```
app/
  android/
    app/
      src/
        main/
          res/
            drawable-hdpi/
                ic_notification.png
            drawable-mdpi/
                ic_notification.png
            drawable-xhdpi/ 
                ic_notification.png
            drawable-xxhdpi/    
                ic_notification.png
            drawable-xxxhdpi/    
                ic_notification.png
  ...
```