import 'package:flutter/material.dart';
import 'package:flutter/services.dart';

void main() {
  runApp(const MyApp());
}

class MyApp extends StatelessWidget {
  const MyApp({super.key});

  @override
  Widget build(BuildContext context) {
    const methodChannel = MethodChannel(
      'com.example.android_notification_icons_example/notification',
    );
    return MaterialApp(
      title: 'Android Notification Icons Example',
      home: Scaffold(
        body: Center(
            child: ElevatedButton(
          onPressed: () {
            methodChannel.invokeMethod('sendNotification');
          },
          child: const Text('show notification icon'),
        )),
      ),
    );
  }
}
